Subject: Re: [regext] WG LAST CALL: draft-ietf-regext-rdap-partial-response

From: Tom Harrison <[email-masked]>
Date: Sun, 1 Mar 2020 23:49:48 +0000

Hi Mario,

On Fri, Feb 28, 2020 at 03:43:32PM +0100, Antoin Verschuren wrote:
> The following working group document is believed to be ready for
> submission to the IESG for publication as a standards track
> document:
> 
> https://datatracker.ietf.org/doc/draft-ietf-regext-rdap-partial-response/
> 
> This WG last call will end at close of business, Friday, 13 March
> 2020.
> 
> Please review this document and indicate your support (a simple “+1”
> is sufficient) or concerns with the publication of this document by
> replying to this message on the list.

One extra comment: Section 4 has 'RDAP providers are RECOMMENDED to
include a "self" link in each field set other than "full" in order to
allow clients to easily request for the full objects'.  This could be
interpreted as meaning that the server should omit the "self" link
when returning a "full" field set.  I think it would be good if this
could be reworded to avoid ambiguity (e.g. by striking the text from
"other than" onwards).

-Tom

---

From: Mario Loffredo <[email-masked]>
Date: Mon, 2 Mar 2020 11:02:43 +0100

Hi Tom,

thanks a lot for your further review.

My responses are included below.

> could be reworded to avoid ambiguity (e.g. by striking the text from

Even if self links are more meaningful in field sets other than "full", 
they might also be useful when an RDAP server provides the full 
information according to what is written in Section 5 of RFC7483. 
Therefeore, I will write the sentence as in the following:

"RDAP providers are RECOMMENDED to include a "self" link in each field set"

Best,

Mario

>
> -Tom
> _______________________________________________
> regext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/regext

-- 
Dr. Mario Loffredo
Systems and Technological Development Unit
Institute of Informatics and Telematics (IIT)
National Research Council (CNR)
via G. Moruzzi 1, I-56124 PISA, Italy
Phone: +39.0503153497
Mobile: +39.3462122240
Web: http://www.iit.cnr.it/mario.loffredo